# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add ingest-complete flag to capability requests

Revision ID: 0bca0d8b3564
Revises: a7c2b4682aae
Create Date: 2021-07-13 16:01:10.908563

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "0bca0d8b3564"
down_revision = "a7c2b4682aae"
branch_labels = None
depends_on = None


def upgrade():
    op.execute("ALTER TABLE capability_requests ADD COLUMN ingested bool NOT NULL DEFAULT false")


def downgrade():
    op.execute("ALTER TABLE capability_requests DROP COLUMN IF EXISTS ingested")
