# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""revise test_download so that the workflow ID is in the delivery path

Revision ID: c8ace50bc1bf
Revises: 3bed1c92b0b8
Create Date: 2021-04-16 10:25:09.945253

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "c8ace50bc1bf"
down_revision = "3bed1c92b0b8"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        "UPDATE workflow_templates "
        "SET content = E'#!/bin/sh\n\ndatafetcher --product-locator $1\ndeliver -r . --prefix $2\n' "
        "WHERE filename = 'test_download.sh'"
    )

    op.execute(
        "UPDATE workflow_templates "
        "SET content = E'executable = test_download.sh\narguments = {{product_locator}} {{request_id}}\nerror = test_download.err\nlog = test_download.log\n\nqueue' "
        "WHERE filename = 'test_download.condor'"
    )


def downgrade():
    op.execute(
        "UPDATE workflow_templates "
        "SET content = E'#!/bin/sh\n\ndatafetcher --product-locator $1\ndeliver -r .\n' "
        "WHERE filename = 'test_download.sh'"
    )

    op.execute(
        "UPDATE workflow_templates "
        "SET content = E'executable = test_download.sh\narguments = {{product_locator}}\nerror = test_download.err\nlog = test_download.log\n\nqueue' "
        "WHERE filename = 'test_download.condor'"
    )
