"""Add product_group_id to the curator workflow metadata.json

Revision ID: f2a76d224984
Revises: 5eaf550162d3
Create Date: 2023-11-15 16:42:50.445896

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "f2a76d224984"
down_revision = "5eaf550162d3"
branch_labels = None
depends_on = None

old_json = """{
  "product_locator": "{{product_locator}}",{{#data_location}}
  "data_location": "{{data_location}}",{{/data_location}}
  "product_type": "{{product_type}}",{{#target_list}}
  "target_list": ["{{target_list}}"],{{/target_list}}
  "projectMetadata": {
    "telescope": "{{telescope}}",
    "projectCode": "{{projectCode}}"
  }
}
"""

new_json = """{
  "product_locator": "{{product_locator}}",{{#data_location}}
  "data_location": "{{data_location}}",{{/data_location}}
  "product_type": "{{product_type}}",{{#target_list}}
  "target_list": ["{{target_list}}"],{{/target_list}}{{#product_group_id}}
  "product_group_id": {{product_group_id}},{{/product_group_id}}{{#input_group_locator}}
  "input_group_locator": "{{input_group_locator}}",{{/input_group_locator}}
  "projectMetadata": {
    "telescope": "{{telescope}}",
    "projectCode": "{{projectCode}}"
  }
}
"""


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{new_json}' WHERE filename='metadata.json' AND workflow_name='curator'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{old_json}' WHERE filename='metadata.json' AND workflow_name='curator'
        """
    )
